<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>SingletonController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">tutorial-4</a> &gt; <a href="index.source.html" class="el_package">id.ac.ui.cs.advprog.tutorial4.singleton.controller</a> &gt; <span class="el_source">SingletonController.java</span></div><h1>SingletonController.java</h1><pre class="source lang-java linenums">package id.ac.ui.cs.advprog.tutorial4.singleton.controller;


import id.ac.ui.cs.advprog.tutorial4.singleton.core.OrderDrink;
import id.ac.ui.cs.advprog.tutorial4.singleton.core.OrderFood;
import id.ac.ui.cs.advprog.tutorial4.singleton.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

@Controller
@RequestMapping(&quot;/singleton&quot;)
<span class="fc" id="L17">public class SingletonController {</span>

    @Autowired
    private OrderService orderService;

    @GetMapping(&quot;/&quot;)
    public String wanPlusRestaurantHome(Model model) {
<span class="fc" id="L24">        OrderDrink orderDrink = orderService.getDrink();</span>
<span class="fc" id="L25">        OrderFood orderFood = orderService.getFood();</span>
<span class="fc" id="L26">        model.addAttribute(&quot;orderDrink&quot;, orderDrink);</span>
<span class="fc" id="L27">        model.addAttribute(&quot;orderFood&quot;, orderFood);</span>
<span class="fc" id="L28">        return &quot;singleton/singleton&quot;;</span>
    }

    @PostMapping(&quot;/order-a-drink&quot;)

    public String orderADrink(@RequestParam(value = &quot;drink&quot;) String drink) {
<span class="fc" id="L34">        orderService.orderADrink(drink);</span>
<span class="fc" id="L35">        return &quot;redirect:/singleton/&quot;;</span>
    }

    @PostMapping(&quot;/order-a-food&quot;)

    public String orderAFood(@RequestParam(value = &quot;food&quot;) String food) {
<span class="fc" id="L41">        orderService.orderAFood(food);</span>
<span class="fc" id="L42">        return &quot;redirect:/singleton/&quot;;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>